aboutsummaryrefslogtreecommitdiff
path: root/www/gitlab-ce/files/patch-Gemfile
blob: 9ad5d81377447c496c7a18c1f20ea30426ac8aac (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
--- Gemfile.orig	2021-07-01 10:22:34 UTC
+++ Gemfile
@@ -88,7 +88,7 @@ gem 'gpgme', '~> 2.0.19'
 # GitLab fork with several improvements to original library. For full list of changes
 # see https://github.com/intridea/omniauth-ldap/compare/master...gitlabhq:master
 gem 'gitlab_omniauth-ldap', '~> 2.1.1', require: 'omniauth-ldap'
-gem 'net-ldap', '~> 0.16.3'
+gem 'net-ldap', '~> 0.16'
 
 # API
 gem 'grape', '~> 1.5.2'
@@ -102,7 +102,6 @@ gem 'graphql', '~> 1.11.8'
 # https://gitlab.com/gitlab-org/gitlab/issues/31747
 gem 'graphiql-rails', '~> 1.4.10'
 gem 'apollo_upload_server', '~> 2.0.2'
-gem 'graphql-docs', '~> 1.6.0', group: [:development, :test]
 gem 'graphlient', '~> 0.4.0' # Used by BulkImport feature (group::import)
 
 gem 'hashie'
@@ -286,7 +285,7 @@ gem 'gitlab_chronic_duration', '~> 0.10.6.2'
 gem 'rack-proxy', '~> 0.6.0'
 
 gem 'sassc-rails', '~> 2.1.0'
-gem 'autoprefixer-rails', '10.2.0.0'
+gem 'autoprefixer-rails', '10.2.5.1'
 gem 'terser', '1.0.2'
 
 gem 'addressable', '~> 2.7'
@@ -309,7 +308,7 @@ gem 'sentry-raven', '~> 3.1'
 # and https://github.com/pganalyze/pg_query/pull/213 are
 # released. gitlab-labkit will need to be updated to use the pg_query
 # version.
-gem 'gitlab-pg_query', '~> 2.0.4', require: 'pg_query'
+gem 'pg_query', '~> 2.0.3', require: 'pg_query'
 
 gem 'premailer-rails', '~> 1.10.3'
 
@@ -337,107 +336,12 @@ gem 'snowplow-tracker', '~> 0.6.1'
 # Metrics
 group :metrics do
   gem 'method_source', '~> 1.0', require: false
-  gem 'webrick', '~> 1.6.1', require: false
+  gem 'webrick', '~> 1.6', require: false
 
   # Prometheus
   gem 'prometheus-client-mmap', '~> 0.12.0'
 end
 
-group :development do
-  gem 'lefthook', '~> 0.7.0', require: false
-  gem 'solargraph', '~> 0.42', require: false
-
-  gem 'letter_opener_web', '~> 1.4.0'
-
-  # Better errors handler
-  gem 'better_errors', '~> 2.9.0'
-
-  # thin instead webrick
-  gem 'thin', '~> 1.8.0'
-end
-
-group :development, :test do
-  gem 'deprecation_toolkit', '~> 1.5.1', require: false
-  gem 'bullet', '~> 6.1.3'
-  gem 'pry-byebug'
-  gem 'pry-rails', '~> 0.3.9'
-  gem 'pry-shell', '~> 0.4.0'
-
-  gem 'awesome_print', require: false
-
-  gem 'database_cleaner', '~> 1.7.0'
-  gem 'factory_bot_rails', '~> 6.1.0'
-  gem 'rspec-rails', '~> 5.0.1'
-
-  # Prevent occasions where minitest is not bundled in packaged versions of ruby (see #3826)
-  gem 'minitest', '~> 5.11.0'
-
-  # Generate Fake data
-  gem 'ffaker', '~> 2.10'
-
-  gem 'spring', '~> 2.1.0'
-  gem 'spring-commands-rspec', '~> 1.0.4'
-
-  gem 'gitlab-styles', '~> 6.2.0', require: false
-
-  gem 'haml_lint', '~> 0.36.0', require: false
-  gem 'bundler-audit', '~> 0.7.0.1', require: false
-
-  gem 'benchmark-ips', '~> 2.3.0', require: false
-
-  gem 'knapsack', '~> 1.21.1'
-  gem 'crystalball', '~> 0.7.0', require: false
-
-  gem 'simple_po_parser', '~> 1.1.2', require: false
-
-  gem 'timecop', '~> 0.9.1'
-
-  gem 'png_quantizator', '~> 0.2.1', require: false
-
-  gem 'parallel', '~> 1.19', require: false
-
-  gem 'rblineprof', '~> 0.3.6', platform: :mri, require: false
-
-  gem 'test_file_finder', '~> 0.1.3'
-end
-
-group :development, :test, :danger do
-  gem 'gitlab-dangerfiles', '~> 2.1.2', require: false
-end
-
-group :development, :test, :coverage do
-  gem 'simplecov', '~> 0.18.5', require: false
-  gem 'simplecov-cobertura', '~> 1.3.1', require: false
-end
-
-# Gems required in omnibus-gitlab pipeline
-group :development, :test, :omnibus do
-  gem 'license_finder', '~> 6.0', require: false
-end
-
-group :test do
-  gem 'fuubar', '~> 2.2.0'
-  gem 'rspec-retry', '~> 0.6.1'
-  gem 'rspec_profiling', '~> 0.0.6'
-  gem 'rspec-parameterized', require: false
-
-  gem 'capybara', '~> 3.35.3'
-  gem 'capybara-screenshot', '~> 1.0.22'
-  gem 'selenium-webdriver', '~> 3.142'
-
-  gem 'shoulda-matchers', '~> 4.0.1', require: false
-  gem 'email_spec', '~> 2.2.0'
-  gem 'webmock', '~> 3.9.1'
-  gem 'rails-controller-testing'
-  gem 'concurrent-ruby', '~> 1.1'
-  gem 'test-prof', '~> 0.12.0'
-  gem 'rspec_junit_formatter'
-  gem 'guard-rspec'
-
-  # Moved in `test` because https://gitlab.com/gitlab-org/gitlab/-/issues/217527
-  gem 'derailed_benchmarks', require: false
-end
-
 gem 'octokit', '~> 4.15'
 
 # https://gitlab.com/gitlab-org/gitlab/issues/207207
@@ -485,7 +389,7 @@ gem 'gitaly', '~> 14.0.0.pre.rc2'
 # KAS GRPC protocol definitions
 gem 'kas-grpc', '~> 0.0.2'
 
-gem 'grpc', '~> 1.30.2'
+gem 'grpc', '~> 1.30'
 
 gem 'google-protobuf', '~> 3.17.1'